import { get, writable } from 'svelte/store';

export const navlinks = writable([]);
navlinks.push = function(item) {
	navlinks.pop(item);
	navlinks.update(value => (value.unshift(item), value));
	return item;
};
navlinks.pop = function(item) {
	navlinks.update(value => {
		if(item !== undefined) {
			let idx = value.indexOf(item);
			if(idx >= 0) value.splice(idx, 1);
		} else value.shift();
		return value;
	});
	return item;
}
