/** @type {import('./$types').PageLoad} */
export async function load({ params, fetch }) {
	let clinics = await (await fetch('/api/clinic/list')).json();
	clinics.reduce((acc, item) => (acc[item.name] = item, acc), clinics);
	try {
		let selection = await (await fetch('/api/config/user/clinics')).json();
		selection.forEach(x => clinics[x] ? clinics[x].active = true : false);
	} catch(ex) {
		console.error(ex, ex.stack);
	}
	return {
		clinics
	};
}
